%define name    lineakd
%define version 0.8.4
%define release %mkrel 2
%define major	0
%define libname	%mklibname %{name} %{major}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	Control multimedia keys on modern keyboards
License:	GPL
Group:		System/Configuration/Hardware          
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-root
Url:		http://lineak.sourceforge.net/
BuildRequires:	XFree86-devel
Requires:	%{libname} = %{version}-%{release}

%description
Daemon to control the multimedia keys on modern keyboards.

Features X11 support, window manager independence, ability to configure
all keys (via a GUI [found in lineakconfig] & .conf file), volume
control, and sound controls.
%package -n %{libname}
Summary:	Libraries needed to run programs linked with %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs using %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep
%setup -q

%build
%if %mdkversion <= 1000
%define __libtoolize true
%endif
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -fr $RPM_BUILD_ROOT/usr/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc TODO README AUTHORS INSTALL ChangeLog COPYING 
%config(noreplace) %{_sysconfdir}/lineakkb.def
%{_bindir}/%{name}
%{_sbindir}/send_to_keyboard

%{_libdir}/%{name}
%_mandir/*/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_includedir}/lineak
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 19:21:17 (55009)
- rebuild
- remove uneed buildrequires

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 19:01:01 (55006)
Import lineakd

* Tue Dec 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.4-1mdk
- New release 0.8.4

* Wed Apr 06 2005 Olivier Thauvin <nanardon@mandrake.org> 0.8.3-1mdk
- 0.8.3

* Mon Dec 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-1mdk
- 0.8.2

* Tue Nov 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.1-2mdk
- removed %{_sysconfdir}/X11/xinit.d/lineakd, as it doesn work

* Wed Oct 27 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 0.8.1-1mdk
- New release
- fixed source URL

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- drop patch
- new version

* Sat Sep 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-0.beta4.1mdk 
- new version
- rpmbuildupdate aware
- tag launch script as config for rpmlint
- spec cleanup

* Tue Nov 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7.2-2mdk
- fix startup script (-b flag is obsolete now)
- BuildRequires libosd-devel

* Sat Nov 15 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2
- work on spec

* Thu Sep 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6-1mdk
- 0.6
 

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4-0.pre3.2mdk
- rebuild for rpm and glibc
- fix unpackaged files

* Wed Oct 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4-0.pre3.1mdk
- from Florent BERANGER <cosmic.flo@libertysurf.fr> :
	- 0.4pre3

* Mon Aug 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4-0.pre1.2mdk
- from Ben Reser <ben@reser.org> :
	- Add auto startup script to /etc/X11/xinit.d

* Fri Jul 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4-0.pre1.1mdk
- 0.4pre1

* Fri Jun 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.5-1mdk
- 0.3.5 (thx Charles A Edwards <eslrahc@bellsouth.net>)

* Fri May 31 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.2-0.2mdk
- fix typo (thx Levi Ramsey)
- remove noreplace for lineakkb.def, I think better

* Thu May 30 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.2-0.1mdk 
- 1st mdk release

